let waveAmplitude = 100; // Amplitude of the wave
let waveFrequency = 0.05; // Frequency of the wave
let waveSpeed = 0.02; // Speed of wave movement
let offset = 0; // Offset to animate the wave

function setup() {
  createCanvas(600, 400);
  noFill();
}

function draw() {
  background(0);
  
  // Loop to draw a series of circles in a wave-like pattern
  for (let x = 0; x < width; x += 20) {
    // Calculate the y position using sine function for smooth wave motion
    let y = height / 2 + sin(x * waveFrequency + offset) * waveAmplitude;
    
    // Dynamic size based on mouse position
    let size = map(mouseX, 0, width, 20, 100);
    
    // Draw circle
    stroke(255, 150, 0);
    ellipse(x, y, size, size);
  }
  
  // Update the offset to create animation (move the wave)
  offset += waveSpeed;
}
